
Redmine - Defect #6562

Context-menu deletion of issues deletes all subtasks too without explicit prompt

2010-10-03 14:46 - Mischa The Evil

Status: Closed Start date: 2010-10-03

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

Pulled from #6191, note-3:

Eric Davis wrote:

... I left the bulk delete message alone, it already prompts about multiple issues.

 It indeed does prompt about multiple issues (Are you sure you want to delete the selected issue(s) ?), but it lacks mentioning that all

subtasks of the selected issue(s) are deleted also.

Related issues:

Related to Redmine - Feature #8418: Need more descriptive alert when deleting... Closed 2011-05-20

Follows Redmine - Defect #6191: Deletion of a main task deletes all subtasks Closed 2010-08-22

Associated revisions

Revision 5495 - 2011-04-17 17:17 - Jean-Philippe Lang

Warn about subtasks before deleting a parent issue (#6562).

History

#1 - 2010-10-25 16:58 - Eric Davis

- Assignee deleted (Eric Davis)

#2 - 2011-04-17 17:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed in r5495. Example:

Are you sure you want to delete the selected issue(s)?

This will also delete 1 subtask(s).

#3 - 2011-05-20 17:55 - Etienne Massip

- Status changed from Closed to Reopened

As suggested in #8418, this message could be reused when deleting an issue from the issue page ?

#4 - 2011-05-20 17:57 - Etienne Massip

- Status changed from Reopened to Closed

My bad, this has been done, nice work.

#5 - 2011-05-20 18:11 - Greg Roe

Is this in the latest stable release?
https://www.redmine.org/issues/6191
http://www.redmine.org/issues/6191#note-3
https://www.redmine.org/projects/redmine/repository/svn/revisions/5495
https://www.redmine.org/issues/8418


#6 - 2011-05-20 18:11 - Greg Roe

Sorry...I see the target version up there.
